package alx.p01_interakcja.konsola;

import java.util.Locale;
import java.util.Scanner;

public class Zakupy4 {

    // W tej wersji Locale zmieniam osobno dla Scannera, osobno dla printf. Nie zmieniam globalnych Locali aplikacji.

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        sc.useLocale(Locale.US);
        System.out.printf("Co chcesz kupić? ");
        String towar = sc.nextLine();
        System.out.printf("Ile kosztuje jedna sztuka towaru %s? ", towar);
        double cena = sc.nextDouble();
        System.out.printf("Ile sztuk towaru %s chcesz kupić? ", towar);
        int sztuk = sc.nextInt();

        double suma = sztuk * cena;
        // wersja z kropką:
        System.out.printf(Locale.US, "Za %d sztuk towaru %s zapłacisz %.2f zł\n", sztuk, towar, suma);

        // wersja z przecinkiem:
        System.out.printf("Za %d sztuk towaru %s zapłacisz %.2f zł\n", sztuk, towar, suma);
    }
}
